cURL
curl --request GET \
--url https://riona.ai/api/1.1/wf/tiktok-account-mentions \
--header 'Authorization: Bearer <token>'import requests
url = "https://riona.ai/api/1.1/wf/tiktok-account-mentions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://riona.ai/api/1.1/wf/tiktok-account-mentions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": {
"code": 200,
"message": "OK"
},
"posts": [
{
"postDetails": {
"postID": "7463064424731954450",
"postImage": "https://8cd4d13f-aa75-4a0c-abdb-0f388a983964.selstorage.ru/post_TT:7459806945730642952_7463064424731954450?time=1749928036",
"videoLink": "",
"postUrl": "https://www.tiktok.com/@ur.cristiano7861/video/7463064424731954450",
"dataId": "7459806945730642952_7463064424731954450",
"date": "23-01-2025",
"dateISO": "2025-01-23T11:01:38.000Z",
"likes": 1140,
"dislikes": 0,
"comments": 80,
"rePosts": 18,
"views": 32900,
"pollVotes": 0,
"videoViews": 32900,
"type": "video",
"types": [
"video"
],
"hashTags": [
"tiktok",
"urcristiano",
"foryou",
"foryoupage",
"trending",
"viralvideo"
],
"text": "I'm sorry @Khabane lame #tiktok #urcristiano #foryou #foryoupage #trending #viral_video ",
"textLength": 88,
"fromOwner": false,
"isAd": true,
"mentions": [
{
"name": "Khabane lame",
"url": "https://www.tiktok.com/@khaby.lame",
"image": "https://6f2859a7-8667-4b05-9978-a8922e29bf1f.selstorage.ru/TT:127905465618821121?time=1756170904",
"Followers": 161600000
}
],
"mentionsText": [
"khaby.lame"
]
},
"postStats": {
"interactions": 1238,
"er": 0.00842526490584528,
"viewsER": 0.037629179331307,
"videoViewsER": 0.037629179331307,
"indexGrade": -11.6422569766364,
"mainGrade": "d"
}
}
]
}
Profile & Videos
Account Mentions
Get all mentions of a TikTok account
GET
/
wf
/
tiktok-account-mentions
cURL
{
"status": {
"code": 200,
"message": "OK"
},
"posts": [
{
"postDetails": {
"postID": "7463064424731954450",
"postImage": "https://8cd4d13f-aa75-4a0c-abdb-0f388a983964.selstorage.ru/post_TT:7459806945730642952_7463064424731954450?time=1749928036",
"videoLink": "",
"postUrl": "https://www.tiktok.com/@ur.cristiano7861/video/7463064424731954450",
"dataId": "7459806945730642952_7463064424731954450",
"date": "23-01-2025",
"dateISO": "2025-01-23T11:01:38.000Z",
"likes": 1140,
"dislikes": 0,
"comments": 80,
"rePosts": 18,
"views": 32900,
"pollVotes": 0,
"videoViews": 32900,
"type": "video",
"types": [
"video"
],
"hashTags": [
"tiktok",
"urcristiano",
"foryou",
"foryoupage",
"trending",
"viralvideo"
],
"text": "I'm sorry @Khabane lame #tiktok #urcristiano #foryou #foryoupage #trending #viral_video ",
"textLength": 88,
"fromOwner": false,
"isAd": true,
"mentions": [
{
"name": "Khabane lame",
"url": "https://www.tiktok.com/@khaby.lame",
"image": "https://6f2859a7-8667-4b05-9978-a8922e29bf1f.selstorage.ru/TT:127905465618821121?time=1756170904",
"Followers": 161600000
}
],
"mentionsText": [
"khaby.lame"
]
},
"postStats": {
"interactions": 1238,
"er": 0.00842526490584528,
"viewsER": 0.037629179331307,
"videoViewsER": 0.037629179331307,
"indexGrade": -11.6422569766364,
"mainGrade": "d"
}
}
]
}
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
masterID: the id of the Social Account, to get this you need to call the endpoint Get Profile by URL OR Get User Details
- Date Format: yyyy-mm-dd
- Specify the month you want to retrieve.
- Posts are collected within a one-month period.
- Enter the first date of the month you want to collect.
- To collect posts up to yesterday, enter the first date of the current month.
- The more posts a month contains, the longer it will take to return the data.
If you would like to include Profile details, set this to true
This is your account API Key. You can easily locate it in your account dashboard.
Response
200
OK
⌘I